function [maxFdr] = calcMaxFdr(pvalue, pvalpha)

% fdralpha is a vector of possible thresholds for fdr

xfdr = mafdr(pvalue, 'BHFDR', 'true');

maxFdr = zeros(length(pvalpha),1);

for i = 1:length(pvalpha)
    maxFdr(i) = max(xfdr(pvalue <= pvalpha(i)));
end
